Package org.eclipse.net4j.util.container.delegate

# Interface IContainerBlockingQueue<E>

All Superinterfaces:
  `BlockingQueue<E>`, `Collection<E>`, `IContainer<E>`, `IContainerCollection<E>`, `IContainerQueue<E>`, `INotifier`, `Iterable<E>`, `Queue<E>`

All Known Implementing Classes:
  `ContainerBlockingQueue`

public interface IContainerBlockingQueue<E> extends IContainerQueue<E>, BlockingQueue<E>
A `container` that is a `BlockingQueue`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`BlockingQueue<E>`
`getDelegate()`

### Methods inherited from interface java.util.concurrent.BlockingQueue

`add, contains, drainTo, drainTo, offer, offer, poll, put, remainingCapacity, remove, take`

### Methods inherited from interface java.util.Collection

`addAll, clear, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray, toArray`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Queue

`element, peek, poll, remove`

## Method Details

### getDelegate

BlockingQueue<E> getDelegate()

Specified by:
  `getDelegate` in interface `IContainerCollection<E>`
Specified by:
  `getDelegate` in interface `IContainerQueue<E>`